package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Dgb;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DgbMapper {

    int insert(Dgb record);

    int insertSelective(Dgb record);

    int updateByPrimaryKeySelective(Dgb record);

    int updateByPrimaryKey(Dgb record);

    int deleteByPrimaryKey(Dgb record);

    int deleteByIds(Collection<Object> collection);

    Dgb selectByPrimaryKey(Dgb record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dgb> dyncRead(Map<String,Object> dyncMap);

}